Start typing to search.

API Reference

Remove a per-job task YAML override

View Markdown
DELETE /api/jobs/{id}/tasks/{taskKey}/override

Resets the DAG node to the pinned task version from the task library. Admin only.

Operation IDdeleteJobTaskOverride

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

taskKeystringrequired

Success response body

200Override removed

Override removed

Content typeapplication/json

responseobject
2 properties
okboolean
overridden_task_keysarray<string>
Array items
itemstring

Error responses

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}